Deployments
Deployments let the user schedule a job to deploy the contents of their workspace repository to their workspace in Meltano Cloud.
This can be done manually or via a GitHub repository webhook:
- Payload URL:
https://app.meltano.com/api/workspaces/<workspace_id>/deployments/github-webhook - Content type:
application/json - Secret: "Deployment Secret" from workspace settings in Meltano Cloud
Requests
Deploy your workspace repository
POST /api/workspaces/{workspaces-id}/deployments
Deploys the workspace {workspace-id}.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/a29fa4f7-820b-4eb7-a9d9-b619f114b395/deployments' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/workspaces/a29fa4f7-820b-4eb7-a9d9-b619f114b395/deployments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
202 Accepted
Job with HAL links.
{
"id" : "5866f650-64a6-4516-aabc-4af551f540ea",
"created" : "2026-10-01T13:41:20.514094",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/5866f650-64a6-4516-aabc-4af551f540ea"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/5866f650-64a6-4516-aabc-4af551f540ea",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/5866f650-64a6-4516-aabc-4af551f540ea/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/5866f650-64a6-4516-aabc-4af551f540ea/stopped",
"type" : "PUT"
}
}
}
GitHub webhook workspace deployment
POST /api/workspaces/{workspaces-id}/deployments/github-webhook
Receives POST requests from GitHub and starts a workspace deploy job.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/a29fa4f7-820b-4eb7-a9d9-b619f114b395/deployments/github-webhook' -i -X POST \
-H 'X-Hub-Signature: sha1=6aa01a5a797e6a48785f71fb42e8cb71d8c94e25' \
-H 'Content-Type: application/json' \
-d '{ }'
import requests
url = "https://app.meltano.com:443/api/workspaces/a29fa4f7-820b-4eb7-a9d9-b619f114b395/deployments/github-webhook"
data = { }
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
202 Accepted
Job with HAL links.
{
"id" : "df1a71dd-1c26-4207-80b7-bc60732b60ae",
"created" : "2026-10-01T13:41:21.41083",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/df1a71dd-1c26-4207-80b7-bc60732b60ae"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/df1a71dd-1c26-4207-80b7-bc60732b60ae",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/df1a71dd-1c26-4207-80b7-bc60732b60ae/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/df1a71dd-1c26-4207-80b7-bc60732b60ae/stopped",
"type" : "PUT"
}
}
}